﻿
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;

using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Reflection;
using System.Data;

namespace SfDataGridDemo
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        DataSet dataSet = new DataSet();
        public MainWindow()
        {
            InitializeComponent();
            DataTable testResultsTable = new DataTable("TestResults");
            dataSet.Tables.Add(testResultsTable);
            testResultsTable.Columns.Add("Output Name", typeof(string));
            testResultsTable.Columns.Add("Test Name", typeof(string));
            testResultsTable.Columns.Add("Test Type", typeof(string));
            testResultsTable.Columns.Add("Test Passed", typeof(string));
            testResultsTable.Columns.Add("Test Result", typeof(string));
            testResultsTable.Columns.Add("Action", typeof(string));
            testResultsTable.Columns.Add("Explanation", typeof(string));

            testResultsTable.Rows.Add("Output1","txtName1","type1","Passed","Pass","Yes","exopa");
            testResultsTable.Rows.Add("Output1", "txtName2", "type1", "Passed", "Pass", "Yes", "exopa");
            testResultsTable.Rows.Add("Output1", "txtName3", "type1", "Passed", "Pass", "Yes", "exopa");
            testResultsTable.Rows.Add("Output2", "txtName2", "type2", "Passed", "Pass", "Yes", "exopa");
            testResultsTable.Rows.Add("Output3", "txtName3", "type3", "Failed", "Fail", "No", "exopa");
            testResultsTable.Rows.Add("Output4", "txtName4", "type4", "Passed", "Pass", "Yes", "exopa");

            testResultsGrid.ItemsSource = testResultsTable;

            DataTable testDataTable = new DataTable("TestData");
            dataSet.Tables.Add(testDataTable);
            testDataTable.Columns.Add("Output Name", typeof(string));
            testDataTable.Columns.Add("Test Name", typeof(string));
            testDataTable.Columns.Add("Test Data", typeof(string));

            testDataTable.Rows.Add("Output1", "txtName1", "data0");
            testDataTable.Rows.Add("Output1", "txtName2", "data1");
            testDataTable.Rows.Add("Output1", "txtName3", "data10");

            testDataTable.Rows.Add("Output2", "txtName2", "data20");
            testDataTable.Rows.Add("Output2", "txtName2", "data21");
            testDataTable.Rows.Add("Output2", "txtName2", "data22");

            testDataTable.Rows.Add("Output3", "txtName3", "data30");
            testDataTable.Rows.Add("Output3", "txtName3", "data31");
            testDataTable.Rows.Add("Output3", "txtName3", "data32");

            testDataTable.Rows.Add("Output4", "txtName4", "data40");
            testDataTable.Rows.Add("Output4", "txtName4", "data41");
            testDataTable.Rows.Add("Output4", "txtName4", "data42");

            var trtColumns = new DataColumn[] { testResultsTable.Columns["Output Name"], testResultsTable.Columns["Test Name"] };
            var tdtColumns = new DataColumn[] { testDataTable.Columns["Output Name"], testDataTable.Columns["Test Name"] };
            dataSet.Relations.Add("dataRelation", trtColumns, tdtColumns);

            
        }
        
    }
}
         
   

